#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const commist_1 = __importDefault(require("commist"));
const help_me_1 = __importDefault(require("help-me"));
const package_json_1 = require("../../package.json");
const pub_1 = __importDefault(require("./pub"));
const sub_1 = __importDefault(require("./sub"));
(0, help_me_1.default)({
    dir: path_1.default.join(path_1.default.dirname(require.main.filename), '/../doc'),
    ext: '.txt',
});
commist_1.default.register('publish', pub_1.default);
commist_1.default.register('subscribe', sub_1.default);
commist_1.default.register('version', () => {
    console.log('MQTT.js version:', package_json_1.version);
});
commist_1.default.register('help', help_me_1.default.toStdout);
if (commist_1.default.parse(process.argv.slice(2)) !== null) {
    console.log('No such command:', process.argv[2], '\n');
    help_me_1.default.toStdout();
}
//# sourceMappingURL=mqtt.js.map